# sc::StreSimpleCo Class Reference

The StreSimpleCo class describes an stretch internal coordinate of a molecule. More...

`#include <simple.h>`

Inheritance diagram for sc::StreSimpleCo:

List of all members.

## Public Member Functions

| StreSimpleCo (const StreSimpleCo &)
| StreSimpleCo (const char *, int, int)
| This constructor takes a string containing a label, and two integers which are the indices of the atoms we're measuring the distance between.
| StreSimpleCo (const Ref< KeyVal > &)
| The KeyVal constructor.
const char * | ctype () const
| Always returns the string "STRE".
double | bohr () const
| Returns the distance between the two atoms in atomic units.
double | angstrom () const
| Returns the distance between the two atoms in angstrom units.
double | preferred_value () const
| Returns the distance between the two atoms in angstrom units.

## Detailed Description

The StreSimpleCo class describes an stretch internal coordinate of a molecule.

The input is described in the documentation of its parent class SimpleCo.

Designating the two atoms as and and their cartesian positions as and , the value of the coordinate, , is

## Constructor & Destructor Documentation

sc::StreSimpleCo::StreSimpleCo | ( | const char * | ,
|  | int | ,
|  | int |
| ) |  |

This constructor takes a string containing a label, and two integers which are the indices of the atoms we're measuring the distance between.

Atom numbering begins at atom 1, not atom 0.

sc::StreSimpleCo::StreSimpleCo | ( | const Ref< KeyVal > & |  | ) |

The KeyVal constructor.

This calls the SimpleCo keyval constructor with an integer argument of 2.

The documentation for this class was generated from the following file:

- simple.h